<script setup lang="ts">
import { usePromotionStore } from '@/stores/Promotion'
import { useReceiptStore } from '@/stores/receipt'
import { type Ref, inject } from 'vue'

const receiptStore = useReceiptStore()
const promotionStore = usePromotionStore()
</script>

<template>
  <v-dialog v-model="receiptStore.DeleteDialog" max-width="350px">
    <v-card style="text-align: center">
      <v-card-title class="text-h5" style="text-align: center">ยกเลิก</v-card-title>
      คุณต้องการที่จะยกเลิกคําสั่งซื้อนี้หรือไม่
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.DeleteDialog = false
            }
          "
          >No</v-btn
        >
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.DeleteDialog = false
              receiptStore.clear()
            }
          "
          >Yes</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
